## org.eclipse.emf.mapping.domain
Class AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory

    java.lang.Object
      org.eclipse.emf.edit.provider.ComposedAdapterFactory
          org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory

All Implemented Interfaces:
  AdapterFactory, IEditingDomainProvider, ComposeableAdapterFactory, IChangeNotifier, IDisposable

Enclosing class:
  AdapterFactoryMappingDomain

    public static class AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory

extends ComposedAdapterFactory
implements IEditingDomainProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ComposedAdapterFactory
`ComposedAdapterFactory.Descriptor`

Field Summary
`protected EditingDomain` `editingDomain`

Fields inherited from class org.eclipse.emf.edit.provider.ComposedAdapterFactory
`adapterFactories, adapterFactoryDescriptorRegistry, changeNotifier, parentAdapterFactory`

Constructor Summary
`AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory(AdapterFactory[] adapterFactories, EditingDomain editingDomain)`
`AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory(AdapterFactory adapterFactory, EditingDomain editingDomain)`
`AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory(java.util.Collection<? extends AdapterFactory> adapterFactories, EditingDomain editingDomain)`

Method Summary
`EditingDomain` `getEditingDomain()` This returns the editing domain.

Methods inherited from class org.eclipse.emf.edit.provider.ComposedAdapterFactory
`adapt, adapt, adapt, adapt, adapt, adaptAllNew, adaptNew, addAdapterFactory, addListener, delegatedGetFactoryForTypes, dispose, fireNotifyChanged, getFactoryForType, getFactoryForTypes, getRootAdapterFactory, insertAdapterFactory, isFactoryForType, removeAdapterFactory, removeListener, setParentAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editingDomain

    protected EditingDomain editingDomain

Constructor Detail

### AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory

    public AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory(AdapterFactory adapterFactory,
                                                                                    EditingDomain editingDomain)

### AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory

    public AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory(AdapterFactory[] adapterFactories,
                                                                                    EditingDomain editingDomain)

### AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory

    public AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory(java.util.Collection<? extends AdapterFactory> adapterFactories,
                                                                                    EditingDomain editingDomain)

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  Description copied from interface: `IEditingDomainProvider`
  This returns the editing domain. A typical usage is

         ((IEditingDomainProvider)((EObject)object).eResource().getResourceSet()).getEditingDomain();

  Specified by:
    `getEditingDomain` in interface `IEditingDomainProvider`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.